std::unwrap_ref_decay< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

using | type

## Detailed Description

template<typename _Tp>
struct std::unwrap_ref_decay< _Tp >

Decay type and if it's a reference_wrapper, unwrap it

Since
  C++20

Definition at line 3412 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp>

using std::unwrap_ref_decay< _Tp >::type

Definition at line 3412 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits